libzypp 17.37.10

ztui::utf8 Namespace Reference

## Classes
class | string
| Simple utf8 string. More...

## Functions
string | operator+ (const string &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | operator+ (const std::string &lhs, const string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | operator+ (const string &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | operator+ (const char *lhs, const string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
string | operator+ (const string &lhs, const string &rhs)
| concatenation
std::ostream & | operator<< (std::ostream &str, const string &obj)
| Stream output.

## Function Documentation

## ◆ operator+() [1/5]

string ztui::utf8::operator+ | ( | const string & | lhs,
|  | const std::string & | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 176 of file Utf8.h.

## ◆ operator+() [2/5]

string ztui::utf8::operator+ | ( | const std::string & | lhs,
|  | const string & | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 179 of file Utf8.h.

## ◆ operator+() [3/5]

string ztui::utf8::operator+ | ( | const string & | lhs,
|  | const char * | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 182 of file Utf8.h.

## ◆ operator+() [4/5]

string ztui::utf8::operator+ | ( | const char * | lhs,
|  | const string & | rhs )
| inline

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 185 of file Utf8.h.